import { Component } from '@angular/core';
import { AuthService } from './auth.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})

export class AppComponent {

  email!: string;
  password!: string;

  constructor(public authService: AuthService) {}

  // käyttöliittymän nappien metodit
  signUp() {
    this.authService.signUp(this.email, this.password);
    this.email = '';
    this.password = '';
  }

  signIn() {
    this.authService.signIn(this.email, this.password);
    this.email = '';
    this.password = '';
  }

  signOut() {
    this.authService.signOut().then(() => this.authService.user = null)
    .catch((e) => console.log(e.message));;
  }

}
